# Uses of Class
org.eclipse.mat.snapshot.model.Field

Packages that use Field
Package
Description
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.

## Uses of Field in org.eclipse.mat.parser.model

Methods in org.eclipse.mat.parser.model that return Field
Modifier and Type
Method
Description
`Field`
InstanceImpl.`getField(String name)`
Methods in org.eclipse.mat.parser.model that return types with arguments of type Field
Modifier and Type
Method
Description
`List<Field>`
InstanceImpl.`getFields()`
`List<Field>`
ClassImpl.`getStaticFields()`
Constructors in org.eclipse.mat.parser.model with parameters of type Field
Modifier
Constructor
Description
``
`ClassImpl(long address, String name, long superAddress, long loaderAddress, Field[] staticFields, FieldDescriptor[] fields)`
Construct a class object based on name, address and fields.
Constructor parameters in org.eclipse.mat.parser.model with type arguments of type Field
Modifier
Constructor
Description
``
`ClassLoaderImpl(int objectId, long address, ClassImpl clazz, List<Field> fields)`
Constructs a class loader object.
``
`InstanceImpl(int objectId, long address, ClassImpl clazz, List<Field> fields)`
Construct a representation of plain java object in the snapshot.

## Uses of Field in org.eclipse.mat.snapshot.model

Methods in org.eclipse.mat.snapshot.model that return Field
Modifier and Type
Method
Description
`Field`
IInstance.`getField(String name)`
Returns the field identified by the name.
Methods in org.eclipse.mat.snapshot.model that return types with arguments of type Field
Modifier and Type
Method
Description
`List<Field>`
IInstance.`getFields()`
Returns all fields of the object.
`List<Field>`
IClass.`getStaticFields()`
Returns the static fields and it values.